DataCubeController Methods

The DataCubeController type exposes the following members.

Methods
  NameDescription
Public methodAddSelectTransform
POST /DataCube/SelectTransform/ Adds a new select transform to the data cube.
Public methodBuildStorage
POST /DataCube/BuildStorage/{id} Starts processing the data cube into the data cube's storage option. This call will not wait for the processing to finish to return.
Public methodChangeAnalysisElementVisibility
PUT /DataCube/AnalysisElementVisible/{id} Shows or hides an analysis element within the data cube.
Public methodClearDataResultCache
POST /DataCube/ClearDataResultCache/{id} Clears all the results based on the specified cube from the data result cache.
Public methodConnectTransform
POST /DataCube/ConnectTransform/ Connect two transforms together.
Public methodCreateParameter
POST /DataCube/Parameter/{id} Creates a new parameter on the transform. Parameters for Output Element filtering or Transform setting can be created.
Public methodDeleteParameter
DELETE /DataCube/Parameter/{id} Deletes a parameter on the transform.
Public methodDeletePlaceholder
DELETE /DataCube/Placeholder/{id} Deletes a placeholder on the transform.
Public methodDeleteRelationship
DELETE /DataCube/Relationships/{id} Deletes the relationship by join for the given data cube.
Public methodDisconnectTransform
POST /DataCube/DisconnectTransform/ Disconnect the output data connector of a transform.
Public methodDiscoverColumns
POST /DataCube/DiscoverColumns/{id} Refreshes the elements of the specified transform on a data cube.
Protected methodEnsureCallerContext
If the current context is not already the specified context, creates a new caller context which is a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.)
Protected methodEnsureFormFileMultipartContent
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.)
Public methodGenerateDataCube
POST /DataCube/ Generates a new data cube.
Protected methodGetClientIdFromCookieOrProvided
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodGetCustomConfigurationUI
GET /DataCube/CustomConfigurationUI/{id} Gets the custom configuration UI for the specified transform in the system.
Public methodGetDataCube
GET /DataCube/{id} Gets a data cube.
Public methodGetDataCubeAndChildren
GET /DataCube/DataCubeAndChildren/{id} Retrieves a data cube and it's parent cubes.
Public methodGetDataCubeAndParents
GET /DataCube/DataCubeAndParents/{id} Retrieves a data cube and it's parent cubes.
Public methodGetDataCubeInfos
POST /DataCube/DataCubeInfos/ Gets the collection of DataCubeInfoData for the specified IDs.
Public methodGetRelationships
GET /DataCube/Relationships/{id} Gets the relationships for the given data cube.
Public methodGetSchedule
GET /DataCube/Schedule/{id} Gets the schedule for the data cube.
Protected methodGetServiceT
Gets the requested service.
(Inherited from ApiControllerBase.)
Protected methodGetSessionIdFromCookieHeaderOrProvided
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodInsertTransform
POST /DataCube/Transform/{id} Inserts the specified transform into a data cube.
Protected methodLoadSession
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.)
Public methodPreviewTransform
POST /DataCube/PreviewTransform/{id} Gets preview data for the specified transform from a data cube.
Public methodPreviewTransformStatistics
POST /DataCube/PreviewTransformStatistics/{id} Gets preview statistics for the specified transform from a data cube.
Public methodQueryDataCubeInfos
GET /DataCube/QueryDataCubeInfos/ Gets the collection of DataCubeInfoData for the specified project and tenant ID.
Public methodRefreshTransform
PUT /DataCube/RefreshTransform/{id} Refreshes the elements of the specified transform on a data cube.
Public methodRemoveSchedule
DELETE /DataCube/Schedule/{id} Removes the schedule from the specified data cube.
Public methodRemoveTenantCubeOverride
DELETE /DataCube/RemoveTenantCubeOverride/ Removes a tenant processing schedule override.
Public methodRemoveTransform
DELETE /DataCube/Transform/{id} Removes the specified transform from a data cube.
Public methodReplaceElementNames
POST /DataCube/ReplaceElementNames/{id} Replaces the element names on a select transform. This is used to change an element to use a different native column.
Public methodReplaceStructure
POST /DataCube/ReplaceStructure/{id} Replaces the structure of a select transform. This is used to change one structure with another to effectively replace the source of a select transform.
Public methodRequestBridgeParameter
POST /DataCube/BridgeParameter/{id} Creates a new bridge parameter to be created on the data process.
Protected methodRequestFirstFormFile
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.)
Protected methodRequestFormFiles
Retrieves the form files from the request.
(Inherited from ApiControllerBase.)
Public methodRestoreUndoFrame
POST /DataCube/RestoreUndoFrame/{id} Restores the data cube to the given undo frame ID.
Protected methodReturnInvalidWindowsIdentityResponse
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.)
Public methodSaveResultConnector
POST /DataCube/ResultConnectorElement/ Updates the result connector element with the options sent.
Public methodScheduleDataWarehouseCubes
PUT /DataCube/ScheduleDataWarehouseCubes/ Configure data warehousing storage and the referenced cubes processing priorities for the specified data cubes.
Public methodScheduleInMemoryCubes
PUT /DataCube/ScheduleInMemoryCubes/ Configure in-memory storage and the referenced cubes processing priorities for the specified data cubes.
Public methodScheduleStorage
POST /DataCube/Schedule/{id} Creates a scheduled task for storing the data cube in the warehouse or in-memory.
Public methodScheduleTenantCubeOverride
PUT /DataCube/ScheduleTenantCubeOverride/ Configure a tenant processing schedule override.
Public methodSetupCubeReferencesProcess
PUT /DataCube/SetupCubeReferencesProcess/ Configure the referenced cubes processing priorities for the specified data cubes.
Public methodTestBridgeParameterScript
POST /DataCube/TestBridgeParameterScript/ Tests a bridge parameter's attached parameter information script by passing a value and seeing if a parameter value is returned or an error is raised.
Public methodTestHierarchyPromotion
PUT /DataCube/TestHierarchyPromotion/{id} Tests to see whether a hierarchy promotion is compatible.
Public methodUpdateDataCube
PUT /DataCube/{id} Updates a data cube.
Public methodUpdateDataCubeStorageType
PUT /DataCube/DataCubeStorageType/{id} Updates the storage type of the specified data cube.
Public methodUpdateRelationships
PUT /DataCube/Relationships/{id} Updates the relationships for the given data cube and transform.
Public methodUpdateTransform
PUT /DataCube/Transform/{id} Updates the specified transform on a data cube.
Top
See Also